## javax.faces.component
Class UIMessage

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIMessage

All Implemented Interfaces:
  StateHolder

Direct Known Subclasses:
  HtmlMessage

public class UIMessage
extends UIComponentBase

see Javadoc of JSF Specification Javadoc says default for showDetail is false, but Specs say it is true!?

Version:
  $Revision: 169646 $ $Date: 2005-05-11 11:34:57 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Constructor Summary
`UIMessage()`

Method Summary
`java.lang.String` `getFamily()`
`java.lang.String` `getFor()`
`boolean` `isShowDetail()`
`boolean` `isShowSummary()`
`void` `restoreState(FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(FacesContext context)`
`void` `setFor(java.lang.String forValue)`
`void` `setShowDetail(boolean showDetail)`
`void` `setShowSummary(boolean showSummary)`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIMessage

    public UIMessage()

Method Detail

### getFamily

    public java.lang.String getFamily()

  Specified by:
    `getFamily` in class `UIComponent`

### setFor

    public void setFor(java.lang.String forValue)

### getFor

    public java.lang.String getFor()

### setShowDetail

    public void setShowDetail(boolean showDetail)

### isShowDetail

    public boolean isShowDetail()

### setShowSummary

    public void setShowSummary(boolean showSummary)

### isShowSummary

    public boolean isShowSummary()

### saveState

    public java.lang.Object saveState(FacesContext context)

  Specified by:
    `saveState` in interface `StateHolder`
  Overrides:
    `saveState` in class `UIComponentBase`

### restoreState

    public void restoreState(FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `StateHolder`
  Overrides:
    `restoreState` in class `UIComponentBase`